import documentViewer
import MpdlXmlTextServer

def initialize(context):
    """initialize ImageCollection"""
    context.registerClass(
        documentViewer.documentViewer,
        constructors = (
          documentViewer.manage_AddDocumentViewerForm,
          documentViewer.manage_AddDocumentViewer
          )
        )

    context.registerClass(
        documentViewer.DocumentViewerTemplate,
        constructors = (
          documentViewer.manage_addDocumentViewerTemplateForm,
          documentViewer.manage_addDocumentViewerTemplate
          )
        )

    context.registerClass(
        MpdlXmlTextServer.MpdlXmlTextServer,
        constructors = (
          MpdlXmlTextServer.manage_addMpdlXmlTextServerForm,
          MpdlXmlTextServer.manage_addMpdlXmlTextServer
          )
        )
    